Bug 120014 - gnome-panel "quits unexpectedly" upon starting X
gnome-panel "quits unexpectedly" upon starting X
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Jonathan Blandford
: 121330 (view as bug list)
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-04-05 03:46 EDT by Dan Scholnik
Modified: 2013-04-02 00:19 EDT (History)
8 users (show)

See Also:
Fixed In Version: 2.6.0-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-22 09:52:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
stack trace from gdb (3.67 KB, text/plain)
2004-04-14 14:22 EDT, Dan Scholnik
no flags Details
User built rpm (89.58 KB, audio/x-pn-realaudio-plugin)
2004-04-23 16:50 EDT, Nathan Nutter
no flags Details

  None (edit)
Description Dan Scholnik 2004-04-05 03:46:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
I upgraded a working fedora core 1 system to fedora core 2 test2. 
Right after starting X from the command line, gnome-panel crashes and
I get a window that says 'The Application "gnome-panel" has quit
unexpectedly'.  Subsequent attempts to run the panel fail.  I get the
same results regardless of kernel (fedora 2.6.3 and 2.6.4 or stock
2.6.5).  I also upgraded to all the latest developement packages, with
no change.  This machine is an athlon and the video card is an nvidia,
the panel crashes with both "nv" and "nvidia" drivers.  Nothing shows
up in any logs.

I also upgraded a pentium-M laptop with radeon video from fedora core
1 to test2, and the panel works fine.  So I'm stumped.

Version-Release number of selected component (if applicable):
2.5.92-1 and 2.6.0-1

How reproducible:

Steps to Reproduce:
1. upgrade fedora core 1 to fedora core 2 test2 on an athlon
2. startx
3. curse at screen

Actual Results:  Big stop-sign dialog box with the above quoted message.

Expected Results:  working gnome-panel

Additional info:
Comment 1 Mark McLoughlin 2004-04-08 10:43:16 EDT
Is this still happening for you? If it is could you install the
appropriate gnome-panel debuginfo package and obtain a stack trace
using the dialog get pops up when the panel crashes? Thanks :)
Comment 2 Dan Scholnik 2004-04-08 17:51:30 EDT
Yes, it is still happening as of gnome-panel-2.6.0-4.  I installed the
debuginfo package, but I'm not familiar with debuginfo and I have no
idea what to do with it.  The obvious things have failed.  Google has
failed.  Please advise.
Comment 3 lynn wheeler 2004-04-11 00:27:56 EDT
I've got similar problem. I updated a RH9 (dual 1ghz intel
processors) directly to FC2T2. On RH9, I had previously upgraded
Evoluation to 1.4.6 which had installed some gnome files. During the
FC2T2 upgrade, there was a message about some inconsistent
gnome file(s) that might cause problems.

I performed the same FC2T2 upgrade on two other machines that
had fresh FC2 installs and am not seeing the problem.

I have latest updates from upd2date as of 4/10.

I was wondering if it was some left-over configuration
files in home directory from RH9. I defined a brand new
user with no previous files of any kind, and it has the
same failure
Comment 4 Leonard den Ottolander 2004-04-13 17:20:58 EDT
Dan, you need to enable core dumps by adding
ulimit -c <max core size in KB>
to .bashrc (and relogin). Save the crash dump via bug buddy.

If you see undefined symbols in the crash dump that seem relevant you
can add debuginfo rpms for the corresponding packages and repeat the
Comment 5 Mark McLoughlin 2004-04-14 10:05:28 EDT
Dan: as Leonard says ... we really need a stack trace to figure out
why this is happening for you ...
Comment 6 Dan Scholnik 2004-04-14 14:22:05 EDT
Created attachment 99419 [details]
stack trace from gdb

Ok, here is the gdb "bt" output.  Hope this is what you need.  If there is a
way to use the debuginfo package to get better information, I need to be told
explicitly how.
Comment 7 Mark McLoughlin 2004-04-15 07:40:39 EDT
thanks, this is a problem with the gnome-vfs menu method
Comment 8 sean 2004-04-16 14:22:54 EDT
Still a problem with 


Comment 9 David Woodhouse 2004-04-20 11:47:50 EDT
It happens for me if I have a .desktop file in /etc/X11/applnk which
is not world-readable.

Trivially reproducable as follows:

sudo chmod og-r /etc/X11/applnk/Graphics/gv.desktop

Sean, get it working again you should just be able to find the
offending file and make it readable again. Perhaps run gnome-panel
under 'strace' and see what the last file it touches before the SEGV is.
Comment 10 David Woodhouse 2004-04-20 11:48:27 EDT
*** Bug 121330 has been marked as a duplicate of this bug. ***
Comment 11 sean 2004-04-20 12:36:39 EDT
Well, close.  It dies because a .desktop file doesn't *exist* , or,
more accurately, is a broken symlink.

open("/usr/share/applications/gimp-1.3.desktop", O_RDONLY|O_LARGEFILE)
= -1 ENOENT (No such file or directory)
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
write(3, "\33\0\2\0\0\0\0\0", 8)        = 8
write(3, " \0\2\0\0\0\0\0", 8)          = 8
write(3, "+\0\1\0", 4)                  = 4
read(3, 0xbffff1b4, 32)                 = -1 EAGAIN (Resource
temporarily unavailable)
select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
read(3, "\1\2I\0\0\0\0\0\23\0\340\1\0\0\0\0\320M\206\10`\335\265"...,
32) = 32
child_tidptr=0x4002b048) = 28835
(gnome_segv:28835): Gtk-WARNING **: Ignoring the separator setting
[WIFEXITED(s) && WEXITSTATUS(s) == 0], 0) = 28835
Comment 12 Dan Scholnik 2004-04-20 15:17:36 EDT
After doing my own strace, I removed a bad symbolic link at
/usr/share/gnome/apps/Games/gnomame.desktop, and now the panel works.
Comment 13 Mark McLoughlin 2004-04-22 09:52:32 EDT
* Thu Apr 22 2004 Mark McLoughlin <markmc@redhat.com> - 2.6.0-6
- Fix crash when .desktop files aren't readable (bug #120014)

(already fixed upstream in desktop-file-utils 0.5)
Comment 14 Nathan Nutter 2004-04-23 16:50:51 EDT
Created attachment 99660 [details]
User built rpm

I made a rpm, my first time, to upgrade desktop-file-utils because 0.4 is still
the current one in development, you might be able to use this to resolve
gnome-panel crashes.  I have no idea if I did this right but I am tired of not
being able to use GNOME.
Comment 15 Mark McLoughlin 2004-04-29 16:48:14 EDT
Sorry for the confusion - the bug is fixed in gnome-vfs 2.6.0-6. If
you upgrade to that it should fix the problem.

The desktop-file-utils package isn't really affected even though the
fix is in desktop-file-utils. gnome-vfs2 has a copy of some of the
stuff in desktop-file-utils

(Attaching binary RPMs to bugzilla prolly won't make the bugzilla
admins happy btw :-)
Comment 16 zimon 2004-09-09 08:48:05 EDT
My gnome-panel still crashes every time with SIGSEGV. I upgraded RH9
to Fedora Core 2 by booting their FC2 install CD and doing the upgrade.

I have following (relevant) rpms installed:
and now also, desktop-file-utils-0.5-1
but still crashes.

With gdb:

(gdb) add-symbol-file

....and so on...couple of symbol-files loaded...

Source directories searched:

(gdb) r
Starting program: /usr/bin/gnome-panel
[Thread debugging using libthread_db enabled]
[New Thread -151128512 (LWP 13205)]
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -151128512 (LWP 13205)]
0x00de6483 in directory_monitor_callback ()
   from /usr/lib/gnome-vfs-2.0/modules/libmenu.so
(gdb) generate-core-file
Saved corefile core.13205

(gdb) bt
#0  0x00de6483 in directory_monitor_callback ()
   from /usr/lib/gnome-vfs-2.0/modules/libmenu.so
#1  0x00de68fb in g_canonicalize_file_name ()
   from /usr/lib/gnome-vfs-2.0/modules/libmenu.so
#2  0x00dec7b0 in menu_cache_get_menu_for_file ()
   from /usr/lib/gnome-vfs-2.0/modules/libmenu.so
#3  0x00def79a in desktop_entry_tree_diradd_callback_set ()

2nd try:
(gdb) r
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -151128512 (LWP 14588)]
0x00707016 in malloc () from /lib/tls/libc.so.6
(gdb) bt
#0  0x00707016 in malloc () from /lib/tls/libc.so.6
#1  0x0093d527 in g_malloc () from /usr/lib/libglib-2.0.so.0
#2  0x00de6897 in directory_monitor_callback ()
   from /usr/lib/gnome-vfs-2.0/modules/libmenu.so

(gdb) list directory_monitor_callback
2036    void directory_monitor_callback (GnomeVFSMonitorHandle *handle,
2037                                                 const gchar
2038                                                 const gchar
GnomeVFSMonitorEventType event_type,
2040                                                 gpointer user_data)
2041    {
2042            MenuMethod *            method;
2043            DesktopEntryTree *      tree = user_data;
2045            method = method_checkout ();
2047            if (tree)
2048                    desktop_entry_tree_invalidate( tree,
   desktop_entry_tree_get_menu_file_name (tree),
  gnome_vfs_get_local_path_from_uri (info_uri));
2052            method_return (method);
2053    }

Even created a new user and logged in through gdm with that user, but
gnome-panel does not work.
Comment 17 zimon 2004-09-09 20:11:28 EDT
I got gnome-panel somehow working by renaming
/etc/gnome-vfs-2.0/modules/default-modules.conf to
/etc/gnome-vfs-2.0/modules/default-modules.conf.rpmorig and
copying /etc/gnome-vfs-2.0/modules/default-modules.conf.with-menu-editing
to /etc/gnome-vfs-2.0/modules/default-modules.conf

After that gnome-panel didn't crash anymore, but now it gives these
error messages to stderr:

** (gnome-panel:5954): WARNING **: No toplevel on which to load object
** (gnome-panel:5954): WARNING **: No toplevel on which to load object
** (gnome-panel:5954): WARNING **: No toplevel on which to load object
Comment 18 Matteo Nobili 2004-12-10 03:51:57 EST
On my FC3 completely updated, when I login, gnome-panel crashes. I've
tried to follow what you said before and I've made the strace (I hope
it is right and that it could be helpfull).
Any idea how to solve the problem?

(gdb) r
Starting program: /usr/bin/gnome-panel
[Thread debugging using libthread_db enabled]
[New Thread -151140128 (LWP 3683)]

** (gnome-panel:3683): WARNING **: Error in parse: Errore alla linea
4: Il carattere '%' non è valdo come inizio del nome di una entità: il
carattere &inizia una entità; se questo simbolo non vuole essere
l'inizio di una entità, utilizzate &amp;

** (gnome-panel:3683): WARNING **: Errore alla linea 4: Il carattere
'on è valdo come inizio del nome di una entità: il carattere &inizia
una entità; se questo simbolo non vuole essere l'inizio di una entità,
utilizzate &amp;

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -151140128 (LWP 3683)]
0x00647118 in g_error_free () from /usr/lib/libglib-2.0.so.0
(gdb) bt
#0  0x00647118 in g_error_free () from /usr/lib/libglib-2.0.so.0
#1  0x080a5268 in egg_recent_model_read (model=0x23, file=0xfee8c6ac)
    at egg-recent-model.c:739
#2  0x080a5afb in egg_recent_model_get_list (model=0x9b7ed40)
    at egg-recent-model.c:1429
#3  0x080a619e in egg_recent_model_changed (model=0x9b7ed40)
    at egg-recent-model.c:1671
#4  0x0808f994 in panel_recent_append_documents_menu (top_menu=0x23)
    at panel-recent.c:287
#5  0x0808c62e in panel_menu_bar_append_actions_menu (menubar=0x9b6a9c8)
    at panel-menu-bar.c:148
#6  0x0808ca34 in panel_menu_bar_instance_init (menubar=0x9b6a9c8,
    klass=0x9b6a000) at panel-menu-bar.c:230
#7  0x006d75cc in g_type_create_instance () from
#8  0x006be5a1 in g_object_new () from /usr/lib/libgobject-2.0.so.0
#9  0x006bd83f in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#10 0x006be459 in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#11 0x006be578 in g_object_new () from /usr/lib/libgobject-2.0.so.0
#12 0x0808cb84 in panel_menu_bar_load_from_gconf (panel=0x9b1b2a8,
    position=0, exactpos=1, id=0x9b4d8c8 "menu_bar") at
#13 0x08070d4c in panel_applet_load_idle_handler (dummy=0x0) at
#14 0x00655b5a in g_child_watch_add () from /usr/lib/libglib-2.0.so.0
#15 0x006527bb in g_main_context_dispatch () from
---Type <return> to continue, or q <return> to quit---
#16 0x00654242 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#17 0x006544ef in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#18 0x07630fbe in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#19 0x0806342e in main (argc=2, argv=0xfee8eeb4) at main.c:99
Comment 19 Andrea Musuruane 2005-01-09 08:29:55 EST
I had the same problem Matteo reported. Both gnome-panel (when
clicking on the redhat logo) and file-roller (on start-up) crashed and
quit unexpectedly. I found out that the problem was inside the
.recently-used file. 

Here it is my line 4:

As you can see, the file name contains & and not &amp; therefore the
fatal error.

Simply deleting the file solve this issue.

However, I don't know the offending program who written that line

Comment 20 larry 2005-01-17 10:31:59 EST
Same problem here when running desktop from exceed on a pc and 
rolling over one of the applications menus gnome quits...

latest fedora core 3...
Comment 21 zimon 2005-03-01 15:47:42 EST
Well, this bug never got fixed. I never got gnome-menu working. 
Now I am going to upgrade from fc2 to fc3, but because this bug I
won't make an update, although I would otherwise and would be so much
easier. Have to do it hard way or I am pretty sure gnome-panel
wouldn't work.
Comment 22 Ganapathy.Santhanam 2012-03-29 17:55:59 EDT
I got it fixed. It's a profile issue, either you have to create a new home 
directory or backup your home directory & delete the following files/folders.


restart & login back, you should be good.

Note You need to log in before you can comment on or make changes to this bug.